Retrieves the equipment_model object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_model| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| name |
Name of the equipment model |
string |
Required Max length: 50 |
| description |
Description of the equipment model |
string | |
| equipment_brand_id |
FK Of Equipment brand |
globally unique identifier | |
| equipment_brand_code |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
string | |
| equipment_brand |
Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model |
equipment_brand | |
| equipment_family_id |
FK Of equipment_family |
globally unique identifier | |
| equipment_family_code |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
string | |
| equipment_family |
Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model |
equipment_family | |
| date_in_production_since |
Date in production since |
date | |
| date_out_of_production_since |
Date Out Of production since |
date | |
| date_end_support |
Date end support |
date | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating equipment_model |
sales_organization | |
| replacement_period_nb_months |
replacement_period_nb_months |
integer | |
| warranty_period_nb_months |
warranty_period_nb_months |
integer | |
| translations |
List of translation of specific field name |
Collection of translation | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "8ba905ad-76ce-4aaa-b7ca-ca78cfa82a3c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "b96cdb99-acd6-4843-9752-7dc397197a7c",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "e1db28f4-a7f9-43e2-ae59-6b8e36dc50e5",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "bac1b28f-b07f-453b-8695-ceec987c96c2",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "bea3ee79-30ce-4485-9cf4-73b3516189c3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8382540c-4a9a-445a-87a6-0520884c671c",
"db_currency_id": "300be701-446a-4320-a665-39c87754af2f",
"db_language_id": "aa8a7ea6-9afe-41c4-b069-552a691e0dd5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T16:02:49.5504264+00:00"
},
"modified_dateutc": "2026-11-14T16:02:49.5504264+00:00"
},
"equipment_family_id": "2cc7aa78-c291-4a49-ac8f-c2a3f7ec3a0a",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "6b5ca0dd-df1b-4656-8d46-007579ded8ee",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "c871a1d2-7d8d-4b99-85ea-0656c2a1c51c",
"_parent_code": "sample string 6",
"sales_organization_id": "7e643239-8280-4017-a785-208eae20e1c5",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "bea3ee79-30ce-4485-9cf4-73b3516189c3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8382540c-4a9a-445a-87a6-0520884c671c",
"db_currency_id": "300be701-446a-4320-a665-39c87754af2f",
"db_language_id": "aa8a7ea6-9afe-41c4-b069-552a691e0dd5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T16:02:49.5504264+00:00"
},
"modified_dateutc": "2026-11-14T16:02:49.5504264+00:00"
},
"date_in_production_since": "2026-11-14T16:02:49.5504264+00:00",
"date_out_of_production_since": "2026-11-14T16:02:49.5504264+00:00",
"date_end_support": "2026-11-14T16:02:49.5504264+00:00",
"sales_organization_id": "ef4bd99d-f3a2-4e57-81ae-ac9fa0703127",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "bea3ee79-30ce-4485-9cf4-73b3516189c3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "8382540c-4a9a-445a-87a6-0520884c671c",
"db_currency_id": "300be701-446a-4320-a665-39c87754af2f",
"db_language_id": "aa8a7ea6-9afe-41c4-b069-552a691e0dd5",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T16:02:49.5504264+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-14T16:02:49.5676574+00:00"
}